Bug 173046 - Failure to allocate mem resource during boot
Failure to allocate mem resource during boot
Status: CLOSED DUPLICATE of bug 180606
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-12 17:27 EST by Brian Morrison
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-20 18:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for failed to allocate mem resource case (15.79 KB, text/plain)
2005-11-12 17:29 EST, Brian Morrison
no flags Details
output of lspci -vvv identifying the device in question (10.05 KB, text/plain)
2005-11-12 17:31 EST, Brian Morrison
no flags Details

  None (edit)
Description Brian Morrison 2005-11-12 17:27:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Using updated kernels of version 2.6.13-* and higher, there is always a PCI: Failed to allocate mem resource #6:10000@f4000000 for 0000:01:00.0 message during the boot process.

This appears to be the S3 Unichrome VGA adaptor according to the output of lspci -vvv.

Kernels with version 2.6.12-* and earlier have never shown this error message during boot.

Machine is a Fujitsu-Siemens Amilo L7300 laptop.

Version-Release number of selected component (if applicable):
kernel-2.6.13-* and higher

How reproducible:
Always

Steps to Reproduce:
1. Boot with kernel 2.6.13-* or later
2. Watch console output during boot process
3. dmesg | more shows the failure message.
  

Additional info:
Comment 1 Brian Morrison 2005-11-12 17:29:23 EST
Created attachment 120992 [details]
dmesg output for failed to allocate mem resource case

dmesg output with failure message included
Comment 2 Brian Morrison 2005-11-12 17:31:51 EST
Created attachment 120993 [details]
output of lspci -vvv identifying the device in question

It appears that the S3 Unichrome VGA adaptor is the device that is not
correctly identified during boot.
Comment 3 Dave Jones 2006-02-03 00:16:30 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 Brian Morrison 2006-02-04 13:59:20 EST
I have now tested again using 2.6.15-1.1830_FC4.

There is no change in the dmesg output or in the other information I've provided.

Looks like the place to look is the changes to the PCI code between 2.6.12 and
2.6.13, I'm sorry that I have not been more precise. If I manage to find the
area at fault I will update the bug details.
Comment 5 Brian Morrison 2006-02-08 03:48:07 EST
Likewise in 2.6.15-1.1831_FC4
Comment 6 Brian Morrison 2006-04-02 17:43:58 EDT
Have rechecked with 2.6.16-1.2069_FC4 and the bug is still present.
Comment 7 Brian Morrison 2006-04-09 16:50:40 EDT
Still present in 2.6.16-1.2080_FC5. Could this have anything to do with this
message in /var/log/messages:

SMP mptable: bad signature [0x0]!
BIOS bug, MP table errors detected!...
... disabling SMP support. (tell your hw vendor)

?
Comment 8 Brian Morrison 2006-08-07 08:03:54 EDT
And still there with 2.6.17-1.2157_FC5 as well....
Comment 9 Dave Jones 2006-10-16 13:42:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Brian Morrison 2006-10-16 16:14:47 EDT
The same problem exists in all kernels up to and including 2.6.17-1.2187_FC5,
however I will check the 2.6.18 based FC5 kernel as soon as the mirrors update
and I can download it.
Comment 11 Brian Morrison 2006-10-20 18:46:08 EDT
I've now checked, 2.6.18-1.2200_FC5 still produces this message during boot up,
it seems that the change post 2.6.12 has never been reverted or revisited.
Comment 12 Dave Jones 2006-10-20 18:56:53 EDT

*** This bug has been marked as a duplicate of 180606 ***

Note You need to log in before you can comment on or make changes to this bug.